const SERVER_URL = "http://localhost:3000"; // Based on json-server's defaults

export async function getCharacters(query){
    const url = SERVER_URL + "/characters";
    try {
        const response = await fetch(url);
        if(!response.ok){
            console.log(response.status, response.statusText);
            return {};
        }
        else{
            const json = await response.json();
            return json;
        }
    } catch (error) {
        console.log(error);
        return {};
    }
}

export async function getCharacter(charId){
    const url = SERVER_URL + "/characters/" + charId;
    const response = await fetch(url);
    if(!response.ok){
        console.log(response.status, response.statusText);
        return {};
    }
    else{
        const json = await response.json();
        return json;
    }
}

export async function getChats(charId){
    const url = SERVER_URL + "/chats/" + charId;
    const response = await fetch(url);
    if(!response.ok){
        console.log(response.status, response.statusText);
        return {};
    }
    else{
        const json = await response.json();
        return json;
    }
}